package com.ar.artracestudio.utils;

import android.content.Context;

import com.ar.artracestudio.room.AppDatabase;
import com.ar.artracestudio.room.ImageEntry;
import com.ar.artracestudio.room.ImageEntryDao;

import java.util.ArrayList;
import java.util.List;

public class DatabaseUtils {

    private final ImageEntryDao imageEntryDao;

    public DatabaseUtils(Context context) {
        // 初始化数据库
        AppDatabase db = AppDatabase.getInstance(context);
        imageEntryDao = db.imageEntryDao();
    }

    // 批量插入图片路径
    public void insertAllImages(List<String> imagePaths) {
        // 将图片路径转化为 ImageEntry 实体，favoriteStatus 默认为 false
        List<ImageEntry> imageEntries = new ArrayList<>();
        for (String path : imagePaths) {
            imageEntries.add(new ImageEntry(false, false, path));
        }

        imageEntryDao.insertAll(imageEntries);
    }

    public List<ImageEntry> getFirstCategoryImage(List<String> categories) {

        List<ImageEntry> imageEntries = new ArrayList<>();
        for (String category : categories) {
            imageEntries.add(imageEntryDao.getFirstImagesByCategory(category));
        }
        return imageEntries;
    }

    public List<ImageEntry> getCategoryImage(String category) {

        List<ImageEntry> imageEntries = new ArrayList<>();

        imageEntries = imageEntryDao.getImagesByCategory(category);

        return imageEntries;

    }


}
